VkAttachmentReference2KHR Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
uint32_t | attachment
VkImageLayout | layout
VkImageAspectFlags | aspectMask

## Detailed Description

Definition at line 5564 of file vulkan_core.h.

## Field Documentation

## aspectMask

VkImageAspectFlags VkAttachmentReference2KHR::aspectMask

Definition at line 5569 of file vulkan_core.h.

## attachment

uint32_t VkAttachmentReference2KHR::attachment

Definition at line 5567 of file vulkan_core.h.

## layout

VkImageLayout VkAttachmentReference2KHR::layout

Definition at line 5568 of file vulkan_core.h.

## pNext

const void* VkAttachmentReference2KHR::pNext

Definition at line 5566 of file vulkan_core.h.

## sType

VkStructureType VkAttachmentReference2KHR::sType

Definition at line 5565 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h